/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.sensor.model;

import java.io.Serializable;

/**
 * Metadata for a sensorFile 
 * @author Merijn Zengers
 */
public class SensorMetadata implements Serializable {


    private String dateFormat;

    private int sensorHeight;

    private int numberOfSensors;

    private String sensorSpread;


    private String sensorType;

    private String spectralChannels;


    protected SensorMetadata() {
    }

    public SensorMetadata(String dateFormat, int sensorHeight, int numberOfSensors, String sensorSpread, String sensorType, String spectralChannels) {
        this.dateFormat = dateFormat;
        this.sensorHeight = sensorHeight;
        this.numberOfSensors = numberOfSensors;
        this.sensorSpread = sensorSpread;
        this.sensorType = sensorType;
        this.spectralChannels = spectralChannels;

    }

    public String getDateFormat() {
        return dateFormat;
    }

    public void setDateFormat(String dateFormat) {
        this.dateFormat = dateFormat;
    }

    public int getSensorHeight() {
        return sensorHeight;
    }

    public void setSensorHeight(int sensorHeight) {
        this.sensorHeight = sensorHeight;
    }

    public int getNumberOfSensors() {
        return numberOfSensors;
    }

    public void setNumberOfSensors(int numberOfSensors) {
        this.numberOfSensors = numberOfSensors;
    }

    public String getSensorSpread() {
        return sensorSpread;
    }

    public void setSensorSpread(String sensorSpread) {
        this.sensorSpread = sensorSpread;
    }

    public String getSensorType() {
        return sensorType;
    }

    public void setSensorType(String sensorType) {
        this.sensorType = sensorType;
    }

    public String getSpectralChannels() {
        return spectralChannels;
    }

    public void setSpectralChannels(String spectralRange) {
        this.spectralChannels = spectralRange;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final SensorMetadata other = (SensorMetadata) obj;
        if ((this.dateFormat == null) ? (other.dateFormat != null) : !this.dateFormat.equals(other.dateFormat)) {
            return false;
        }
        if (this.sensorHeight != other.sensorHeight) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 3;
        hash = 11 * hash + (this.dateFormat != null ? this.dateFormat.hashCode() : 0);
        hash = 11 * hash + this.sensorHeight;
        return hash;
    }
}
